Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Create an order

Idempotency Supported

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/orders

Input Parameters

id
optional, string, max chars=40

Uniquely identifies the order. If not given, this will be auto-generated.

invoice_id
required, string, max chars=50

The invoice number which acts as an identifier for invoice and is generated sequentially.

status
optional, enumerated string

The order status.

Enum Values
new

Order has been created. Applicable only if you are using Chargebee's legacy order management system.

processing

Order is being processed. Applicable only if you are using Chargebee's legacy order management system

complete

Order has been processed successfully. Applicable only if you are using Chargebee's legacy order management system

cancelled

Order has been cancelled. Applicable only if you are using Chargebee's legacy order management system

voided

Order has been voided. Applicable only if you are using Chargebee's legacy order management system

reference_id
optional, string, max chars=50

Reference id can be used to map the orders in the shipping/order management application to the orders in ChargeBee. The reference_id generally is same as the order id in the third party application.

fulfillment_status
optional, string, max chars=50

The fulfillment status of an order as reflected in the shipping/order management application. Typical statuses include Shipped,Awaiting Shipment,Not fulfilled etc;.

note
optional, string, max chars=600

The custom note for the order.

tracking_id
optional, string, max chars=50

The tracking id of the order.

tracking_url
optional, string, max chars=255

The tracking url of the order.

batch_id
optional, string, max chars=50

Unique id to identify a group of orders.

Returns

Order object
Resource object representing order